Subject: Re: bug#6143: 24.0.50; don't ispell-kill-ispell over and over

From: Agustin Martin <[email-masked]>
Date: Tue, 11 May 2010 17:18:26 +0200

On Tue, May 11, 2010 at 10:40:28AM -0400, Stefan Monnier wrote:
> > The reason for that changes is that when emacs visits a file in a removable 
> > device and an ispell process is launched in that file, ispell process sets 
> > the dir in the removable device as default dir, so if one switch to other 
> > buffer outside the removable device and original buffer is killed, unless 
> > ispell process is restarted (personal dictionary, localwords, different 
> > language) or just killed, removable device stays bound and cannot be 
> > unmounted. 
> 
> Why not always start the ispell process in the / or $HOME directory?

Note that ispell uses the directory where ispell is called as a 
directory that can contain personal dictionaries in parallel with 
the possible standard personal dictionary when no explicit personal
dictionary is set. Unconditionally changing to $HOME will break this
behavior.

Using / is not a different option in practice. Since it is not writable,
ispell-process-directory will automatically be changed to $HOME. Same 
for any other non-writable dir. This partially breaks the above for
non-writable dirs, but is standard ispell.el behavior for some time.

jidanni's report also made me note that if we ever implement buffer
based ispell processes (different process associated to every
buffer that request it) we will also face jidanni's problem (Thanks Dan).

I am still trying to think about something cleaner, or at least about a
reasonable workaround.

Cheers,

-- 
Agustin